regina::PillowTwoSphere Class Reference
Standard Triangulations and Subcomplexes

Represents a 2-sphere made from two triangles glued together along their three edges. More...

`#include <subcomplex/pillowtwosphere.h>`

Inheritance diagram for regina::PillowTwoSphere:

## Public Member Functions

PillowTwoSphere * | clone () const
| Returns a newly created clone of this structure. More...
Triangle< 3 > * | triangle (int index) const
| Returns one of the two triangles whose boundaries are joined. More...
Perm< 4 > | triangleMapping () const
| Returns a permutation describing how the boundaries of the two triangles are joined. More...
void | writeTextShort (std::ostream &out) const
| Writes a short text representation of this object to the given output stream. More...
void | writeTextLong (std::ostream &out) const
| A default implementation for detailed output. More...
std::string | str () const
| Returns a short text representation of this object. More...
std::string | utf8 () const
| Returns a short text representation of this object using unicode characters. More...
std::string | detail () const
| Returns a detailed text representation of this object. More...

## Static Public Member Functions

static PillowTwoSphere * | formsPillowTwoSphere (Triangle< 3 > *tri1, Triangle< 3 > *tri2)
| Determines if the two given triangles together form a pillow 2-sphere. More...

## Detailed Description

Represents a 2-sphere made from two triangles glued together along their three edges.

The two triangles must be distinct and the three edges of each triangle must also be distinct. Neither of the triangles may be boundary triangles. These two triangless together form an embedded 2-sphere in the triangulation (with the exception that two or three points of the sphere corresponding to the triangles vertices may be identified).

This 2-sphere can be cut along and the two resulting 2-sphere boundaries filled in with 3-balls, and the resulting triangulation has the same number of tetrahedra as the original. If the original 2-sphere was separating, the resulting triangulation will contain the two terms of the corresponding connected sum.

## Member Function Documentation

## detail()

std::string regina::Output< PillowTwoSphere , supportsUtf8 >::detail | ( |  | ) | const

inherited

Returns a detailed text representation of this object.

This text may span many lines, and should provide the user with all the information they could want. It should be human-readable, should not contain extremely long lines (which cause problems for users reading the output in a terminal), and should end with a final newline. There are no restrictions on the underlying character set.

Returns
  a detailed text representation of this object.

## str()

std::string regina::Output< PillowTwoSphere , supportsUtf8 >::str | ( |  | ) | const

inherited

Returns a short text representation of this object.

This text should be human-readable, should fit on a single line, and should not end with a newline. Where possible, it should use plain ASCII characters.

Python:\n In addition to str(), this is also used as the
  Python "stringification" function `__str__()`.

Returns
  a short text representation of this object.

## utf8()

std::string regina::Output< PillowTwoSphere , supportsUtf8 >::utf8 | ( |  | ) | const

inherited

Returns a short text representation of this object using unicode characters.

Like str(), this text should be human-readable, should fit on a single line, and should not end with a newline. In addition, it may use unicode characters to make the output more pleasant to read. This string will be encoded in UTF-8.

Returns
  a short text representation of this object.

## writeTextLong()

void regina::ShortOutput< PillowTwoSphere , false >::writeTextLong | ( | std::ostream & | out | ) | const

inline inherited

A default implementation for detailed output.

This routine simply calls T::writeTextShort() and appends a final newline.

Python:\n Not present.

Parameters

  out | the output stream to which to write.

The documentation for this class was generated from the following file:

- subcomplex/pillowtwosphere.h

Copyright © 1999-2016, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@maths.uq.edu.au).